Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::annots::ShadingColor Class Reference

Inherits Object.

## Public Member Functions
| ShadingColor ()
| Constructor.
| ShadingColor (ARGB firstcolor, ARGB secondcolor)
| Constructor, with parameters. More...
| ShadingColor (const ShadingColor &shading_color)
| Constructor, with another shading color object. More...
bool | operator!= (const ShadingColor &shading_color) const
| Not equal operator. More...
ShadingColor & | operator= (const ShadingColor &shading_color)
| Assign operator. More...
bool | operator== (const ShadingColor &shading_color) const
| Equal operator. More...
void | Set (ARGB firstcolor, ARGB secondcolor)
| Set value. More...

## Public Attributes
ARGB | first_color
| First color used for shading. Format: 0xAARRGGBB.
ARGB | second_color
| Second color used for shading. Format: 0xAARRGGBB.

## Detailed Description

This class represents shading color which is used for Type 2 (Axial) Shadings.

## Constructor & Destructor Documentation

## ◆ ShadingColor() [1/2]

foxit::pdf::annots::ShadingColor::ShadingColor | ( | ARGB | firstcolor,
|  | ARGB | secondcolor
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | firstcolor | First color used for shading color. Format: 0xAARRGGBB.
  [in] | secondcolor | Second color used for shading color. Format: 0xAARRGGBB.

## ◆ ShadingColor() [2/2]

foxit::pdf::annots::ShadingColor::ShadingColor | ( | const ShadingColor & | shading_color | ) |
| inline

Constructor, with another shading color object.

Parameters

  [in] | shading_color | Another shading color object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::annots::ShadingColor::operator!= | ( | const ShadingColor & | shading_color | ) | const
| inline

Not equal operator.

Parameters

  [in] | shading_color | Another shading color object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

ShadingColor& foxit::pdf::annots::ShadingColor::operator= | ( | const ShadingColor & | shading_color | ) |
| inline

Assign operator.

Parameters

  [in] | shading_color | Another shading color object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::annots::ShadingColor::operator== | ( | const ShadingColor & | shading_color | ) | const
| inline

Equal operator.

Parameters

  [in] | shading_color | Another shading color object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::annots::ShadingColor::Set | ( | ARGB | firstcolor,
|  | ARGB | secondcolor
| ) |  |
| inline

Set value.

Parameters

  [in] | firstcolor | First color used for shading color. Format: 0xAARRGGBB.
  [in] | secondcolor | Second color used for shading color. Format: 0xAARRGGBB.

Returns
  None.